package com.planetofbits.demo.listener;

import javax.servlet.annotation.WebListener;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

/**
 * This class listens to all the sessions being created and destroyed
 * 
 * @author www.planetofbits.com
 */
@WebListener
public class SessionCounter implements HttpSessionListener
{
	// Counter for number of active sessions
	private static int sessionCount = 0;

	@Override
	public void sessionCreated(HttpSessionEvent sessionEvent)
	{
		// Increment when a session is created
		sessionCount++;
	}

	@Override
	public void sessionDestroyed(HttpSessionEvent sessionEvent)
	{
		// Decrement when a session is destroyed
		sessionCount--;
	}

	public static int getSessionCount()
	{
		// Return the count of active sessions
		return sessionCount;
	}

}
